Arduino

Reference Language | Libraries | Comparison | Changes

String

## concat()

#### Description

Combines, or concatenates two strings into one new String. The second string is appended to the first, and the result is placed in a new String

#### Syntax

string.concat(string, string2)

#### Parameters

string, string2: variables of type String

#### Returns

new String that is the combination of the original two Strings

#### Example

- StringAppendOperator

#### See also

- String Addition operator
  Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes